# -----------------------------------------------------------------
# Play a random music wav from music\ (if any!)
#
# Copyright 2005 Ron Dippold
# -----------------------------------------------------------------
import pygame

import os
import random

def play_random( _dir ):
	"""
	Play a random wav song from _dir
	"""

	# if there's no directory, never mind
	if not os.path.isdir( _dir ):
		return

	files = os.listdir( _dir )

	play( _dir, random.choice(files) )

	
def play( _dir, _file ):
	"""
	Play wav song _file in directory _dir
	"""

	if not pygame.mixer or not pygame.mixer.music:
		return

	file = os.path.join( _dir, _file )
	try:
		pygame.mixer.music.load( file )
	except pygame.error, txt:
		print "Music.py -", file, txt
		return
	pygame.mixer.music.play()


def stop():
	"""
	Stop current music, if any
	"""
	if pygame.mixer and pygame.mixer.music:
		pygame.mixer.music.stop()
	

def pause():
	"""
	Pause current music, if any
	"""
	if pygame.mixer and pygame.mixer.music:
		pygame.mixer.music.pause()

def unpause():
	"""
	Resume current music, if any
	"""
	if pygame.mixer and pygame.mixer.music:
		pygame.mixer.music.unpause()
	
